Author: nick
Date: 2010-08-23 00:55:29 +0100 (Mon, 23 Aug 2010)
New Revision: 1210
Added:
balloon/branches/menuconfig/rootfs/emdebian/multistrap-balloon-CUED-outside-tcl.conf
balloon/branches/menuconfig/rootfs/emdebian/rootfs-config-CUED
Log:
add CUED outide-tcl variant support
Added: balloon/branches/menuconfig/rootfs/emdebian/multistrap-balloon-CUED-outside-tcl.conf
===================================================================
--- balloon/branches/menuconfig/rootfs/emdebian/multistrap-balloon-CUED-outside-tcl.conf (rev 0)
+++ balloon/branches/menuconfig/rootfs/emdebian/multistrap-balloon-CUED-outside-tcl.conf 2010-08-22 23:55:29 UTC (rev 1210)
@@ -0,0 +1,52 @@
+[General]
+# arch and directory are overridden.
+#arch=armel
+#directory=/opt/multistrap/
+# same as --tidy-up option if set to true
+cleanup=true
+# retain the sources outside the rootfs for distribution
+# specify a directory to which all the .debs can be moved.
+# or override with the --source-dir option.
+#retainsources=/opt/multistrap/sources
+# whether to add the /suite to be explicit about where apt
+# needs to look for packages.
+explicitsuite=false
+# same as --no-auth option if set to true
+# keyring packages listed in each debootstrap will
+# still be installed.
+noauth=true
+# retries not needed.
+#retries=5
+# extract all downloaded archives
+unpack=true
+# the order of sections is no longer important.
+# debootstrap determines which repository is used to
+# calculate the list of Priority: required packages
+#debootstrap=Grip Trx850
+debootstrap=Grip Updates Debian
+# the order of sections is no longer important.
+# aptsources is a list of sections to be listed
+# in the /etc/apt/sources.list.d/multistrap.sources.list
+# of the target.
+aptsources=Grip Updates
+
+[Grip]
+# space separated package list
+packages=udev ntpdate balloon3-config iputils-ping
+#source=http://aptcache:3142/www.emdebian.org/grip
+source=http://www.emdebian.org/grip
+keyring=emdebian-archive-keyring
+suite=stable
+
+[Updates]
+packages=pcmciautils
+source=http://www.emdebian.org/grip
+keyring=emdebian-archive-keyring
+suite=stable-proposed-updates
+
+# fallback
+[Debian]
+packages=
+source=http://ftp.uk.debian.org/debian
+keyring=debian-archive-keyring
+suite=stable
Added: balloon/branches/menuconfig/rootfs/emdebian/rootfs-config-CUED
===================================================================
--- balloon/branches/menuconfig/rootfs/emdebian/rootfs-config-CUED (rev 0)
+++ balloon/branches/menuconfig/rootfs/emdebian/rootfs-config-CUED 2010-08-22 23:55:29 UTC (rev 1210)
@@ -0,0 +1,94 @@
+#! /bin/sh
+set -e -x
+
+# Emdebian grip compatibility version
+# intended to allow removal of balloon3-config
+
+#pass path to the root. Don't let it run without one as it will break your system
+if [ "" = "$1" ] ; then
+ echo "You need to specify a path to the target rootfs"
+else
+ if [ -e "$1" ] ; then
+ ROOTFS="$1"
+ else
+ echo "Root of target rootfs: $ROOTFS not found"
+ exit 1
+ fi
+fi
+
+if [ "/" = "${ROOTFS}" ] ; then echo "Refusing to change your build system's files"; exit 1; fi
+
+#Do things that need to be done at 1st stage so that rootfs will boot.
+
+#Set securetty
+#Add modules - e.g. to support USB serial/ethernet console
+
+# specify config to use
+if [ "" = "$2" ] ; then
+ CONFIG="files"
+fi
+if [ -d "$2" ] ; then
+ CONFIG="$2"
+else
+ echo "Config dir $CONFIG not found"
+fi
+
+echo `pwd`
+#read in settings
+if [ -e config ] ; then
+ . ./config
+fi
+
+ #add serial ports to securetty - now idempotent
+ DONE=`grep $CONSOLE $ROOTFS/etc/securetty || true`
+ if [ -z "$DONE" ]; then
+ echo "$CONSOLE" >> $ROOTFS/etc/securetty
+ fi
+ #put our standard fstab and network and modules files in
+ if [ ! -d $ROOTFS/etc/network ]; then mkdir -p $ROOTFS/etc/network; fi
+ if [ ! -d $ROOTFS/etc/init.d ]; then mkdir -p $ROOTFS/etc/init.d; fi
+ if [ ! -d $ROOTFS/etc/dhcp3 ]; then mkdir -p $ROOTFS/etc/dhcp3; fi
+ if [ ! -d $ROOTFS/etc/apt/apt.conf.d/ ]; then
+ mkdir -p $ROOTFS/etc/apt/apt.conf.d/
+ fi
+ cp -v $CONFIG/fstab $ROOTFS/etc/fstab
+ cp -v $CONFIG/interfaces $ROOTFS/etc/network/interfaces
+ cp -v $CONFIG/modules $ROOTFS/etc/modules
+ cp -v $CONFIG/dhclient.conf $ROOTFS/etc/dhcp3/
+ cp -v $CONFIG/urandom $ROOTFS/etc/init.d/
+ cp -v $CONFIG/inittab $ROOTFS/etc/
+ cp -v $CONFIG/10disablerecommends $ROOTFS/etc/apt/apt.conf.d/
+ # making devices so far missing between old and new multistrap versions preventing
+ # chroot from running into newly untarred rootfs
+ (cd $ROOTFS/dev; /sbin/MAKEDEV -v std )
+ (cd $ROOTFS/dev; /sbin/MAKEDEV -v fd )
+ (cd $ROOTFS/dev; /sbin/MAKEDEV -v ptmx )
+ # creating devices
+ (cd $ROOTFS/dev; /sbin/MAKEDEV -v fb )
+ (cd $ROOTFS/dev; /sbin/MAKEDEV -v ttyS1 ttyS2 )
+ (cd $ROOTFS/dev; /sbin/MAKEDEV -v sd )
+ (cd $ROOTFS/dev; /sbin/MAKEDEV -v mtd )
+ #mutter - it makes mtd butnot mtdblock - patch MAKEDEV?
+# (cd $ROOT/FSdev; /sbin/MAKEDEV -v mtdblock{0..7})
+ (cd $ROOTFS/dev; mkdir -p mtdblock; for DEVICE in 0 1 2 3 4 5 6 7; do mknod mtdblock/$DEVICE b 31 $DEVICE; done)
+ # tidy up after old multistrap code
+ if [ -f $ROOTFS/etc/apt/sources.list.d/sources.list ]; then
+ rm -v $ROOTFS/etc/apt/sources.list.d/sources.list
+ fi
+ # tidy up after balloon3-config
+ if [ -f $ROOTFS/etc/apt/sources.list ]; then
+ rm -v $ROOTFS/etc/apt/sources.list
+ fi
+
+# stuff that can be left to 2nd stage:
+ #Set root password
+# echo root:rootme | chpasswd
+ (cd $ROOTFS/dev; ln -sf urandom random)
+ #use bash, not dash - saves 10 seconds
+ # ... but we don't have dash ...
+ #(cd $ROOTFS/bin; ln -sf dash sh)
+ #set hostname
+ echo balloon > $ROOTFS/etc/hostname
+ #be nice to put these in the right places in files (perl -pi?)
+ echo "127.0.0.1 localhost.localdomain localhost" > ${ROOTFS}/etc/hosts
+ echo "127.0.1.1 balloon balloon" >> ${ROOTFS}/etc/hosts
Property changes on: balloon/branches/menuconfig/rootfs/emdebian/rootfs-config-CUED
___________________________________________________________________
Added: svn:executable
+ *